<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@drawable/reuse_listview_item_style"
    android:gravity="center_vertical"
    android:orientation="horizontal"
    android:paddingStart="16dp"
    android:paddingTop="8dp"
    android:paddingEnd="16dp"
    android:paddingBottom="8dp">

    <com.gh.gamecenter.feature.view.GameIconView
        android:id="@+id/iconIv"
        android:layout_width="64dp"
        android:layout_height="64dp"
        android:layout_marginRight="12dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_goneMarginStart="0dp" />

    <TextView
        android:id="@+id/nameTv"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="12dp"
        android:layout_marginEnd="12dp"
        android:includeFontPadding="false"
        android:singleLine="true"
        android:textColor="@color/text_primary"
        android:textSize="14sp"
        android:textStyle="bold"
        app:layout_constrainedWidth="true"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toStartOf="@id/downloadBtn"
        app:layout_constraintStart_toEndOf="@id/iconIv"
        tools:text="地海争霸：巫妖王再怒" />

    <com.gh.gamecenter.feature.view.DownloadButton
        android:id="@+id/downloadBtn"
        android:layout_width="60dp"
        android:layout_height="28.5dp"
        android:layout_marginLeft="8dp"
        app:download_button_show_progress="true"
        app:download_button_text_size="12sp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

</androidx.constraintlayout.widget.ConstraintLayout>
